package com.ho.user.service;


import com.ho.user.vo.req.UserRoleOperationReqVO;

import java.util.List;

/**
 * @ClassName: UserRoleService
 * TODO:类文件简单描述
 * @Author:
 * @CreateDate: 2019/9/19 11:39
 * @UpdateUser:
 * @UpdateDate: 2019/9/19 11:39
 * @Version: 0.0.1
 */
public interface UserRoleService {

    int removeByRoleId(Integer roleId);

    List<Integer> getRoleIdsByUserId(String userId);

    void addUserRoleInfo(UserRoleOperationReqVO vo);

    int removeByUserId(String userId);

    int removeByUserIds(List<String> userIds);

    List<String> getUserIdsByRoleIds(List<Integer> roleIds);

}
